from base64 import b64decode
from os.path import normpath, exists, join
def bfs11302():
  bfs11300 = 'aGVsaXVtLXB5dGhvbi9zcmMvbWFpbi9weXRob24='.encode('ascii')
  bfs11301 = b64decode(bfs11300).decode('ascii')
  return (normpath(bfs11301) in normpath(__file__))

class bfs11304(object):
  def __init__(self, *bfs11303):
    self.bfs11303 = bfs11303

  def bfs10507(self, *bfs11305):
    for bfs11306 in self.bfs11303:
      location = self.bfs11310(bfs11306, *bfs11305)
      if exists(location):
        return location


    return self.bfs11310(self.bfs11303[0], *bfs11305)

  def bfs11310(self, *bfs11307):
    return normpath(join(*bfs11307))


